package fr.doap.test;

import fr.doap.llog.*;

public class Test {
	
	public static void main(String[] args) {
		L.l(1, null, "test", "Message sans format");
		test1();
		testDict();
		testFilter();
	}
	
	protected static void test1() {
		L.l(1, null, "test", "Message avec format: %s", "toto");
	}
	
	protected static void testDict() {
		Dict<String> lD = new Dict<>();
		L.l(1, null, "Dict", "Empty: %s", lD.toString());
		lD.put("fr.doap", "fr_doap");
		L.l(1, null, "Dict", "1: %s", lD.toString());
		lD.put("com.doap.fr", "com_doap_fr");
		L.l(1, null, "Dict", "2: %s", lD.toString());
		lD.put("com", "com");
		L.l(1, null, "Dict", "3: %s", lD.toString());
		lD.put("fr.doap.llog", "fr_doap_llog");
		L.l(1, null, "Dict", "4: %s", lD.toString());
		lD.put("", "ROOT");
		L.l(1, null, "Dict", "5: %s", lD.toString());
		lD.put("com.doap.fr", "com_doap_fr+++");
		L.l(1, null, "Dict", "6: %s", lD.toString());
		L.l(1, null, "Dict", "fr.doap.llog: %s", lD.get("fr.doap.llog"));
		L.l(1, null, "Dict", "fr: %s", lD.get("fr"));
		L.l(1, null, "Dict", "com.doap.fr.toto: %s", lD.get("com.doap.fr.toto"));
		L.l(1, null, "Dict", "com.bibi: %s", lD.get("com.bibi"));
		L.l(1, null, "Dict", "org.tata: %s", lD.get("org.tata"));
		L.l(1, null, "Dict", "com.doap: %s", lD.get("com.doap"));
		L.l(1, null, "Dict", "com.doap.bibi: %s", lD.get("com.doap.bibi"));
	}
	
	protected static void testFilter() {
		Filter lF = new Filter(L.DEBUG, L.WARN);
		L.filter("", lF);
		L.l(L.ERROR, null, "Dict", "Always show with ST");
		L.l(L.INFO, null, "Dict", "Always show");
		L.l(L.DEBUG, null, "Dict", "Always");
		L.l(L.TRACE, null, "Dict", "Not showing");
		L.l(L.CONFIG, null, "Dict", "Finished");
	}
}
